module Prek
  class PrekManager
    class Lib
class Create < Lib
      self.summary = ''

      def self.options
            
      end

      def initialize(params)
        @projectName = params.shift_argument
        @components = params.option('components','optional')
        @prefix = params.option('prefix','Prek')
        @platform =  params.flag?('platform',true)
        super
      end

      def validate!
        super
        if @components && !%w(none optional all).include?(@components)
          help! "`#{@components}' 参数无效，components = none 或 optional 或 all "          
        end

        if !@projectName
          help! "参数错误，需要输入项目名称，bytedance lib create projectName"
        end
          
      end

      def run
        super
        parameter = [@projectName, '--template-url=https://github.com/CocoaPods/pod-template.git']
        finalParams = CLAide::ARGV.new(parameter)
        Pod::Command::Lib::Create.new(finalParams).run
      end
 end
 end
 end
 end